Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
thuphong

Xin chỉ cách tạo "control"

Các bài được khuyến nghị

Xin chào các Bác.

Mình có 1 vấn đề nhỏ như con thỏ này, nhưng công lực yếu quá không giải quyết nổi, hôm nay xin nhờ các Bác chỉ giáo giúp đỡ tại hạ .Chuyện con thỏ như sau:

- Tạo 1 control giống như color control nhưng trong control này chỉ cập nhật các thành phần có trong file *.ctb .Nếu được như control và có thêm button "Edit" như trong Form "Plot style table" của Print thì càng tuyệt.

Mục đích : có 1 công cụ trực quan để đưa vào "Tool bar" ,nhóm làm việc qua đó xem để cùng sử dụng nét bút (màu) thống nhất ,chứ mỗi lần muốn xem phài nhấn Ctrl+P rồi lại vào Edit của Plot style table thì mất công quá.

Kính mong các Sư phụ giúp đỡ, để tại hạ mau chóng thành "quả chín". Bể học vô bờ quá ,tại hạ bơi hoài trong cái ao mà vẫn chưa xong!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin chào các Bác.

Mình có 1 vấn đề nhỏ như con thỏ này, nhưng công lực yếu quá không giải quyết nổi, hôm nay xin nhờ các Bác chỉ giáo giúp đỡ tại hạ .Chuyện con thỏ như sau:

- Tạo 1 control giống như color control nhưng trong control này chỉ cập nhật các thành phần có trong file *.ctb .Nếu được như control và có thêm button "Edit" như trong Form "Plot style table" của Print thì càng tuyệt.

Mục đích : có 1 công cụ trực quan để đưa vào "Tool bar" ,nhóm làm việc qua đó xem để cùng sử dụng nét bút (màu) thống nhất ,chứ mỗi lần muốn xem phài nhấn Ctrl+P rồi lại vào Edit của Plot style table thì mất công quá.

Kính mong các Sư phụ giúp đỡ, để tại hạ mau chóng thành "quả chín". Bể học vô bờ quá ,tại hạ bơi hoài trong cái ao mà vẫn chưa xong!

1. Lấy đường dẩn chứa các file nét vẽ : (strcat (vl-registry-read (strcat "HKEY_CURRENT_USER\\" (vlax-product-key)) "RoamableRootFolder") "\\Plot Styles\\")))

2. Hàm lấy tất cả các file .ctb trong cad ra

(defun GetPlotStyleTableNames (ad)

(vla-RefreshPlotDeviceInfo

(vla-get-activelayout ad))

(vlax-safearray->list

(vlax-variant-value

(vla-getplotstyletablenames

(vla-item (vla-get-layouts ad) "Model"))))

)

3. Tạo lisp chứa tất cả các nét vẽ

(setq lispnetve (GetPlotStyleTableNames (vla-get-activedocument (vlax-get-acad-object))))

4. Có đường dẩn và lisp chứa các file nét vẽ thì bạn chạy file này lên là ok rồi, chỉ việc tạo các button và nhúng code vào là xong.

tham khảo ở đây nhé http://www.cadviet.com/forum/Ho-tro-in-an-t4330.html

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1. Lấy đường dẩn chứa các file nét vẽ : (strcat (vl-registry-read (strcat "HKEY_CURRENT_USER\\" (vlax-product-key)) "RoamableRootFolder") "\\Plot Styles\\")))

2. Hàm lấy tất cả các file .ctb trong cad ra

(defun GetPlotStyleTableNames (ad)

(vla-RefreshPlotDeviceInfo

(vla-get-activelayout ad))

(vlax-safearray->list

(vlax-variant-value

(vla-getplotstyletablenames

(vla-item (vla-get-layouts ad) "Model"))))

)

3. Tạo lisp chứa tất cả các nét vẽ

(setq lispnetve (GetPlotStyleTableNames (vla-get-activedocument (vlax-get-acad-object))))

4. Có đường dẩn và lisp chứa các file nét vẽ thì bạn chạy file này lên là ok rồi, chỉ việc tạo các button và nhúng code vào là xong.

tham khảo ở đây nhé http://www.cadviet.com/forum/Ho-tro-in-an-t4330.html

Rất rất cảm ơn Bạn "doanduyhung"! , dạo này CadViet để nút Thanks chỗ nào không biết, để bấm cảm ơn Bạn. Thật sự, mình rất bất ngờ khi Topic của mình từ năm 2007, nay vẫn được trợ giúp, mấy ngày hôm nay không hiểu sao vào mạng khó quá ,giờ mới Online được. Nhưng bạn ơi, cái đoạn Bạn hướng dẫn, do mình dốt quá nên không vận dụng được ,thôi phải phiền Bạn giúp mình thôi. Mình muốn bạn tạo giúp cho mình 1 cái Control + 1Button giống như Form " Chọn File định dạng nét vẽ" trong chương trình INAN.VLX của bạn ; Mình muốn đưa Control + Button "sửa" này vào thanh ToolBar để tiện bấm chuột đó mà >Xin cảm ơn Bạn trước

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×